function init(hero) {
    hero.setName("Rick Sanchez/\u00A79\u00A7lCHP\u00A7r");
    hero.setAliases("rs");
    hero.setTier(2);
    
    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("chipzpack:ricksanchez_powers");
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
    
    hero.addKeyBind("AIM", "key.shoot", 1);
    hero.addKeyBind("TELEPORT", "key.teleport", 2);
    
    hero.supplyFunction("canAim", canAim);
        
    hero.setModifierEnabled(isModifierEnabled);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:teleportation":
        return entity.getData("fiskheroes:aiming");
    }
    return true;
}